<div class="carousel-wrapper" [ngClass]="onBoarding && 'on-boarding'">
  <div class="slides">
    <div class="slide" *ngFor="let product of images">
      <div
        *ngIf="selectedItem === product.index"
        class="slide-inner"
        @carouselAnimation
      >
        <div
          [style.backgroundImage]="'url('+ product.image +')'"
          [style.width]="width"
          [style.height]="height"
          [style.maxHeight]="height"
          class="image-container"
        >
        </div>
        <span *ngIf="onBoarding">{{product.name}}</span>
      </div>
    </div>
    <div class="marker" *ngIf="!onBoarding">
      <div
        *ngFor="let item of imagesIndexes"
        [class.active]="selectedItem === item">
      </div>
    </div>
  </div>
  <button type="button" *ngIf="!autoPlay" class="carousel-btn" (click)="changeSlide()">
    <span>{{ selectedItem !== (MAX_ON_BOARDING_IMAGES - 1) ? 'Next' : 'Go to store 🍊' }}</span>
  </button>
</div>
